4Suite™ API Documentation

# ► Module Ft.Server.Client.Core.GroupClient

Classes: GroupClient

## Classes

class GroupClient(Ft.Server.Client.Core.XmlDocumentClient.XmlDocumentClient, Ft.Server.Client.Core.GroupableObjectMixin.GroupableObjectMixin)
Contains implementation for a group resource which is a set of specified users

### Methods

addMember(self, user)
Add a member to this group
getMemberPaths(self)
Get a list of names of all users that are members of this group
getMembers(self)
Get a list of all the users that are members of this group
getUsername(self)
Get the user name of this group
removeMember(self, user)
Remove a user from this group

### Methods inherited from class Ft.Server.Client.Core.XmlDocumentClient.XmlDocumentClient

expandXLink, getDocumentDefinition, setDocumentDefinition

### Methods inherited from class Ft.Server.Client.Core.RawFileClient.RawFileClient

asSchematron, asStylesheet, getContentResource, getMetaDataResource, setImt

### Methods inherited from class Ft.Server.Client.Core.ResourceMetaDataClient.ResourceMetaDataClient

__cmp__, __hash__, __init__, __str__, addAcl, addAlias, addLiteralProperty, addResourceProperty, applyXslt, asDom, delete, fetchResource, getAbsolutePath, getAbsolutePathAsUri, getAcl, getAclIdent, getAclIdentifiers, getAliases, getBasePath, getContent, getContentSlice, getCreationDate, getDisplayPath, getImt, getLastModifiedDate, getModel, getName, getOwner, getParent, getPath, getResourceType, getRoot, getSize, getStatementsAbout, getStatementsGeneratedBy, getValidationInfo, hasResource, inheritAcl, isResourceType, markTemporary, pprint, removeAcl, removeAlias, removeLiteralProperty, removeResourceProperty, setAcl, setContent, setOwner, toXPathContext, verifyAcl, xUpdate

### Methods inherited from class Ft.Server.Client.Core.GroupableObjectMixin.GroupableObjectMixin

getGroups